<!DOCTYPE html>
<html xmlns:th="https://www.thymeleaf.org"
      xmlns:sec="https://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head>
    <meta charset="EUC-KR">
    <title>Login</title>
</head>
<body>

<h1>Login</h1>


<ul>
    <li><a th:href="@{/home}">Home</a></li>
    <li><a th:href="@{/about}">About</a></li>
    <li><a th:href="@{/contact}">contact</a></li>
    <li><a th:href="@{/e-banking}">E-Banking</a></li>

    <li sec:authorize="isAnonymous()">
        <a th:href="@{/login}">Login</a>
    </li>
    <li sec:authorize="isAuthenticated()">
        <a th:href="@{/logout}">Logout</a>
    </li>

</ul>
<form th:action="@{/login}" th:method="POST">
    <table>
        <tr th:if="${param.error}" style="color:red">
            <td colspan="2">Invalid useranme and password!</td>
        </tr>
        <tr th:if="${param.logout}">
            <td colspan="2">You've been logged out.</td>
        </tr>
        <tr>
            <td>Username: </td>
            <td><input type="text" name="username"></td>
        </tr>
        <tr>
            <td>Password: </td>
            <td><input type="text"  name="password"/></td>
        </tr>
        <tr >
            <td colspan="2" style="float:right"><input type="submit" value="Login"/></td>
        </tr>
    </table>
</form>
</body>
</html>